[问题]无法安装软件包

为当前最终发行版之前的所有版本提供支持
回复
sun201200204
帖子: 18
注册时间: 2008-05-13 13:06
送出感谢: 0
接收感谢: 0
联系:

[问题]无法安装软件包

#1

帖子 sun201200204 » 2008-05-19 10:26

我是在没有联网的情况下安装的ubuntu8.04 server版本。在安装程序的时候没有c编辑器,上网下了gcc还是不能用,后来不得不连上网络。
可是还是不能安装软件包。可能是源的问题。
我是用sudo apt-get install gcc
出现两行星号,后面一行是:
Reading state information... **
E:*************gcc
是什么原因,用同样的方法安装别的软件也同样的提示,只是最后一个单词不同
头像
leeaman
帖子: 30702
注册时间: 2007-02-02 18:14
系统: debian sid
送出感谢: 1 次
接收感谢: 23 次

#2

帖子 leeaman » 2008-05-19 10:28

sudo apt-get update 更新你的系统的软件列表,然后再装,server版都敢装,什么不先看看wiki http://wiki.ubuntu.org.cn/ 了解一下呢?
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)
sun201200204
帖子: 18
注册时间: 2008-05-13 13:06
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 sun201200204 » 2008-05-19 10:31

leeaman 写了:sudo apt-get update 更新你的系统的软件列表,然后再装,server版都敢装,什么不先看看wiki http://wiki.ubuntu.org.cn/ 了解一下呢?

谢谢,服务器版本不好吗?已经sudo apt-get update了,还是同样的问题
头像
leeaman
帖子: 30702
注册时间: 2007-02-02 18:14
系统: debian sid
送出感谢: 1 次
接收感谢: 23 次

#4

帖子 leeaman » 2008-05-19 10:49

好吧,服务器版本当然好了,不过麻烦你还是看一下后面我给的那个wiki链接
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)
sun201200204
帖子: 18
注册时间: 2008-05-13 13:06
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 sun201200204 » 2008-05-19 12:44

leeaman 写了:好吧,服务器版本当然好了,不过麻烦你还是看一下后面我给的那个wiki链接

我一直在看,问题解决了。谢谢。是源的问题,在没有联网安装的时候会把source.list的第一行给注释掉,把这个注释去掉就可以了。
回复

回到 “老旧版本支持”